libzypp 17.37.10

sysconfig.cc File Reference
`#include "sysconfig.h"`
`#include <iostream>`
`#include <fstream>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Regex.h>`
`#include <zypp-core/base/IOStream.h>`
`#include <zypp-core/base/InputStream>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/fs/TmpPath.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::base
namespace | zypp::base::sysconfig

## Functions
std::map< std::string, std::string > | zypp::base::sysconfig::read (const Pathname &_path) ZYPP_API
| Read sysconfig file path_r and return (key,valye) pairs.
bool | zypp::base::sysconfig::write (const Pathname &path_r, const std::string &key_r, const std::string &val_r, const std::string &newcomment_r=std::string()) ZYPP_API
| Add or change a value in sysconfig file path_r.
bool | zypp::base::sysconfig::writeStringVal (const Pathname &path_r, const std::string &key_r, const std::string &val_r, const std::string &newcomment_r=std::string()) ZYPP_API
| Convenience to add or change a string-value in sysconfig file path_r.